
.. _server_load_cli:

server_load
***********







.. rubric:: Output of :code:`--help=server_load`



The following help text is generated by :code:`ecflow_client --help=server_load`

::

   
   server_load
   -----------
   
   Generates gnuplot files that show the server load graphically.
   This is done by parsing the log file. If no log file is provided,
   then the log file path is obtained from the server. If the returned
   log file path is not accessible an error is returned
   This command produces a three files in the CWD.
       o <host>.<port>.gnuplot.dat
       o <host>.<port>.gnuplot.script
       o <host>.<port>.png
   
   The generated script can be manually changed, to see different rendering
   effects. i.e. just run 'gnuplot <host>.<port>.gnuplot.script'
   
     arg1 = <optional> path to log file
   
   If the path to log file is known, it is *preferable* to use this,
   rather than requesting the log path from the server.
   
   Usage:
      --server_load=/path/to_log_file  # Parses log and generate gnuplot files
      --server_load                    # Log file path is requested from server
                                       # which is then used to generate gnuplot files
                                       # *AVOID* if log file path is accessible
   
   Now use any png viewer to see the output i.e
   
   > display   <host>.<port>.png
   > feh       <host>.<port>.png
   > eog       <host>.<port>.png
   > xdg-open  <host>.<port>.png
   > w3m       <host>.<port>.png
   
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

